### Enumeration

# Gtk FileChooserAction

#### Declaration

    enum Gtk.FileChooserAction

#### Description [src]

Describes whether a `GtkFileChooser` is being used to open existing files or to save to a possibly new file.

#### Members

Name | Description
--- | ---
`GTK_FILE_CHOOSER_ACTION_OPEN` | Indicates open mode. The file chooser will only let the user pick an existing file.
`GTK_FILE_CHOOSER_ACTION_SAVE` | Indicates save mode. The file chooser will let the user pick an existing file, or type in a new filename.
`GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER` | Indicates an Open mode for selecting folders. The file chooser will let the user pick an existing folder.